[arch-commits] Commit in rcs/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 04:14:25 EDT 2009


    Date: Friday, April 17, 2009 @ 04:14:25
  Author: eric
Revision: 35792

Fixed svn conflict

Modified:
  rcs/repos/extra-x86_64/	(properties)
  rcs/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Property changes on: rcs/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /rcs/trunk:1
   + /rcs/trunk:1-35791

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 08:13:16 UTC (rev 35791)
+++ extra-x86_64/PKGBUILD	2009-04-17 08:14:25 UTC (rev 35792)
@@ -2,19 +2,21 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=rcs
 pkgver=5.7
-pkgrel=3
+pkgrel=4
 pkgdesc="Revision Control System"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.cs.purdue.edu/homes/trinkle/RCS/"
+license=('GPL')
 depends=('glibc')
 source=(http://www.cs.purdue.edu/homes/trinkle/RCS/rcs-$pkgver.tar.Z \
         rcs-5.7.patch)
 md5sums=('423282f0edb353296d9f3498ab683abf' '7ae4b7cb79259ccdf5eee0ab94fe2a2a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   patch -Np1 -i ../rcs-5.7.patch || return 1
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make prefix=$pkgdir/usr man1dir=$pkgdir/usr/share/man/man1 \
+    man5dir=$pkgdir/usr/share/man/man5 install || return 1
 }



More information about the arch-commits mailing list